Big news! The community will be moving to a new platform April 21. Read more.
Big news! The community will be moving to a new platform April 21. Read more.
Absent Member.
Absent Member.
285 views

Office365 Driver initial start error


MY ENVIRONMENT
RemoteLoader 4.5.2
-------------------------
Windows Server 2012 R2
..Net Framework 4.5
Microsoft Visual C++ 2012 Redistributable
Microsoft Online Services Sign-In Assistant version 7.250.4556.0
Windows Azure Active Directory Module for Windows PowerShell
-------------------------
__________________
Remote Config
------------------------
-description "office365"
-commandport 8000
-connection "port=8090 address='158.108.217.45'"
-trace 4
-tracefile "C:\Novell\remoteloader.NET\office365-Trace.log"
-tracefilemax 0M
-class "DXMLMSOnlineDriver.SPDriverShim"
-assembly "C:\Novell\remoteloader.NET\DXMLMSOnlineDriver.dll"
------------------------
Error Log
http://tinyurl.com/p9e53wy

I got this Error after i start Driver.


--
ekathep00
------------------------------------------------------------------------
ekathep00's Profile: https://forums.netiq.com/member.php?userid=10878
View this thread: https://forums.netiq.com/showthread.php?t=54665

Labels (1)
0 Likes
8 Replies
Knowledge Partner Knowledge Partner
Knowledge Partner

On Thu, 12 Nov 2015 06:54:03 +0000, ekathep00 wrote:

> MY ENVIRONMENT
> RemoteLoader 4.5.2
> -------------------------
> Windows Server 2012 R2
> .Net Framework 4.5
> Microsoft Visual C++ 2012 Redistributable Microsoft Online Services
> Sign-In Assistant version 7.250.4556.0 Windows Azure Active Directory
> Module for Windows PowerShell -------------------------


What shim version are you using? If it's not the latest, I'd start there.
Then make sure that the .Net and PowerShell version stuff is *exactly* as
specified in the shim documentation.


> Error Log
> http://tinyurl.com/p9e53wy
>
> I got this Error after i start Driver.


Interesting that it's bombing on DXMLMSOnlineDriver.Schema.MSolSchema,
which makes me think that it's getting back something unexpected. If the
remote loader trace isn't already 5 or higher, setting it to 5 or higher
may yield more information.

I'm assuming you've actually configured the driver with real values for
your admin user name and etc. and that this trace has been scrubbed.



--
--------------------------------------------------------------------------
David Gersic dgersic_@_niu.edu
Knowledge Partner http://forums.microfocus.com

Please post questions in the forums. No support provided via email.
If you find this post helpful, please click on the star below.
0 Likes
Knowledge Partner Knowledge Partner
Knowledge Partner


Hi ekathep00,
> <product instance="" version="4.0.0.3" build="201410011420">

I think that use "outdated" version of O365 driver, that was extremely
sensitive for MS Online Services Sign-In Assistant and AAD Module for
Windows PowerShell versions!
Any update/patching of these modules broke O365 driver!

New driver version less sensitive for support modules versions and has
many of other improvements/fixes.

Alex


--
If you find this post helpful, please show your appreciation by clicking
on the star below :cool:
------------------------------------------------------------------------
al_b's Profile: https://forums.netiq.com/member.php?userid=209
View this thread: https://forums.netiq.com/showthread.php?t=54665

0 Likes
Absent Member.
Absent Member.


I'm updated Driver version but still get the same error.

<source>
<product instance="" version="4.1.0.1" build="201509021127">Identity
Manager Driver for Microsoft Office365</product>
<contact>NetIQ, Corporation.</contact>
</source>
<output>
<status level="error">
<message>The type initializer for 'DXMLMSOnlineDriver.Schema.MSolSchema'
threw an exception.</message>
<exception-type>TypeInitializationException</exception-type>
<stack-trace> at
DXMLMSOnlineDriver.Schema.MSolSchema.getSchemaDef(XmlDocument document)
at DXMLMSOnlineDriver.SPDriverShim.getSchema(XmlDocument
initParameters)</stack-trace>


--
ekathep00
------------------------------------------------------------------------
ekathep00's Profile: https://forums.netiq.com/member.php?userid=10878
View this thread: https://forums.netiq.com/showthread.php?t=54665

0 Likes
Absent Member.
Absent Member.


How to check shim version?
My engine is Identity Manager 4.5.2.0
Remote Loader is 4.5.2
MSoffice365 Driver is 4.1.0.1
And the package is
[image: http://www.mx7.com/i/19b/GOXq8h.png]


--
ekathep00
------------------------------------------------------------------------
ekathep00's Profile: https://forums.netiq.com/member.php?userid=10878
View this thread: https://forums.netiq.com/showthread.php?t=54665

0 Likes
Knowledge Partner Knowledge Partner
Knowledge Partner


ekathep00;262432 Wrote:
> How to check shim version?
> My engine is Identity Manager 4.5.2.0
> Remote Loader is 4.5.2
> MSoffice365 Driver is 4.1.0.1
> And the package is
> [image: http://www.mx7.com/i/19b/GOXq8h.png]
>
> and about the error log i posted. i had edit my admin account , ip and
> domain before i post it.


Hi ekathep00,
I believe that you not only updated driver packages, but also updated
RemoteLoader part
(http://download.novell.com/Download?buildid=-9pain6WDhQ~) and fallowed
patch instructions
> Installation
>
> See section "4.3 Upgrading the Driver" in the Office365 Driver
> Implementation Guide.
> http://tinyurl.com/qhhbl76


According to TID7016270
(https://www.netiq.com/support/kb/doc.php?id=7016270) you have problem
with PowerShell support module. (May be wrong Powershell version?)

> Situation
>
> When the driver starts, the remote loader throws an exception:
>
> <status level="error">
> <message>The type initializer for
> 'DXMLMSOnlineDriver.Schema.MSolSchema' threw an exception.</message>
> <exception-type>TypeInitializationException</exception-type>
> <stack-trace>* at
> DXMLMSOnlineDriver.Schema.MSolSchema.getSchemaDef(XmlDocument
> document)*
> at DXMLMSOnlineDriver.SPDriverShim.getSchema(XmlDocument
> initParameters)</stack-trace>
> </status>
>
> Resolution
>
> This can happen if the *Online Services Module for Windows Powershell*
> is not installed.
> Even if the latest Online Services Sign-in assistant is installed and
> works, the problem will happen without the Module.
> Below is the link to the docs that explains the prerequisite.
>
> http://tinyurl.com/oekb3af
> You can also get to the information by going to the online documentation
> for IDM 4.5 Office 365 driver and going to the section 2.1
> Prerequisites
>
> Note: Ensure the .Net remote loader is running as a service


Anyway, try to repeat all installation steps (don't skip any. I had the
issue, when I "skipped" one step and missed "right" DLL).

Alex


--
If you find this post helpful, please show your appreciation by clicking
on the star below :cool:
------------------------------------------------------------------------
al_b's Profile: https://forums.netiq.com/member.php?userid=209
View this thread: https://forums.netiq.com/showthread.php?t=54665

0 Likes
Absent Member.
Absent Member.


Copy the required .dlls from the two folders listed below to the driver
installation folder:
C:\Windows\System32\WindowsPowerShell\v1.0\Modules\MSOnline
C:\Windows\System32\WindowsPowerShell\v1.0\Modules\\MSOnlineExtended
------------------------------------------------------------------------------------------------------
Where is the driver Installation folder
on .net Remote loader Or At the IDM Engine Driver?


--
ekathep00
------------------------------------------------------------------------
ekathep00's Profile: https://forums.netiq.com/member.php?userid=10878
View this thread: https://forums.netiq.com/showthread.php?t=54665

0 Likes
Knowledge Partner Knowledge Partner
Knowledge Partner


ekathep00;262446 Wrote:
> Copy the required .dlls from the two folders listed below to the driver
> installation folder:
> C:\Windows\System32\WindowsPowerShell\v1.0\Modules\MSOnline
> C:\Windows\System32\WindowsPowerShell\v1.0\Modules\\MSOnlineExtended
> ------------------------------------------------------------------------------------------------------
> Where is the driver Installation folder
> on .net Remote loader Or At the IDM Engine Driver?


In this case - *.net Remote Loader* folder.

Alex


--
If you find this post helpful, please show your appreciation by clicking
on the star below :cool:
------------------------------------------------------------------------
al_b's Profile: https://forums.netiq.com/member.php?userid=209
View this thread: https://forums.netiq.com/showthread.php?t=54665

0 Likes
Absent Member.
Absent Member.


Problem solved.

Cause
------------------------------------
I'm forgot to install remoteloader patch. IDM 4.5 Engine & Remote Loader
Service Pack 2 4.5.2
------------------------------------
Solution
------------------------------------
Reinstall every component followed This link http://tinyurl.com/qhhbl76
------------------------------------

Thank you al_b .


--
ekathep00
------------------------------------------------------------------------
ekathep00's Profile: https://forums.netiq.com/member.php?userid=10878
View this thread: https://forums.netiq.com/showthread.php?t=54665

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.